import request from "/utils/request.js";
export function useSiteApi() { 
	return {
		// 根據門店id 獲取門店
		GetUnitTypeBySiteId: (data) => {
			return request.request({
				url: '/ClientSite/GetUnitTypeBySiteId',
				method: 'get',
				data,
			});
		},
		GetLockerBySiteId: (data) => {
			return request.request({
				url: '/ClientSite/GetLockerBySiteIdList',
				method: 'get',
				data,
			});
		},
		GetLockerById: (data) => {
			return request.request({
				url: '/ClientSite/GetLockerById',
				method: 'get',
				data,
			});
		},
		GetLockerExpense: (data) => {
			return request.request({
				url: '/ClientSite/GetLockerExpense',
				method: 'post',
				data,
			});
		},
		AlternateReservation: (data) => {
			return request.request({
				url:'/ClientUnitType/AlternateReservation',
				method: 'post',
				data,
			});
		},
		GetReserveIsEnable: (data) => {
			return request.request({
				url:'/ClientUnitType/GetReserveIsEnable',
				method: 'get',
				data,
			});
		},
		// 取消預約
		CancelReservation: (data) => {
			return request.request({
				url:'/ClientUnitType/CancelReservation',
				method: 'post',
				data,
			});
		},
		// 获取五羊门店
		GetMultipleStoreInfo: () => {
			return request.request({
				url: '/ClientSite/GetMultipleStoreInfo',
				method: 'get',
			});
		},
		GetLockerAgreementHTMLById: (data) => {
			return request.request({
				url: '/ClientSite/GetLockerAgreementHTMLById',
				method: 'get',
				data,
			});
		}
	};
}